<?php


session_start();

include "include/functions.php";
include "include/global_variables.php";
verify_user();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>IMAP ACL and email reception administration</title>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <link rel="icon" type="image/png" href="favicon.png" />
    <script type="text/javascript" src="js/jquery-1.10.2.min.js"></script>
    <script type="text/javascript" src="js/jquery.blockUI.js"></script>
    <script type="text/javascript">
    $(window).bind(
      "beforeunload", function() { 
        if( childWindow && !childWindow.closed ){
          childWindow.close();
        }
    });
    </script>
    <link rel="stylesheet" href="styles/style.css" type="text/css" />
    <link rel="stylesheet" href="styles/table.css" type="text/css" />
  </head>
  <body>
    <div class="content">
      <h2>IMAP ACLs and public email addresses</h2>
      <table style="margin-left:auto; margin-right:auto; width : 100%;">
        <tr>
          <th>
            Folder tree
          </th>
        </tr>
        <tr>
          <td>
            <ul id="root">
              <li class="folder-no-perms"> <img src="styles/images/folder.png" alt="folder" height="16" width="16"/> root </li>
                <ul>
                <?php directory_display(''); ?>
                </ul>
            </ul>
          </td>
        </tr>
      </table>
      <script type="text/javascript">
        function to_clipboard(id){
          var clip = new ZeroClipboard(this);
          clip.setText( document.getElementById(id).innerHTML );
          clip.on( "load", function(client) {
            client.on( "complete", function(client, args) {
              this.style.display = "none";
            } );
          } );
        }
        function open_close_tree(id,path,e){
          if (e.innerHTML == '[+]'){
            e.innerHTML = "[-]";
            var content = get_html_content("include/get_subfolders.php?path="+path);
            $("#"+id).after(content);
          } else {
            e.innerHTML = "[+]";
            if ( $("#"+id).next("li").has("ul").length > 0 ){
              $("#"+id).next("li").remove();
            }
          }
          if ( $("#acl_displaying").prop('checked') ){
            $(".acls_short_list").show();
          } else {
            $(".acls_short_list").hide();
          }
        }
        function SelectEMail(id)
        {
          var text = $("#"+id ).text();
          $("#"+id ).empty();
          $input = $("<input type=text value='"+text+"''>");
          $("#"+id ).append($input);
          $( $input ).focus();
          $( $input ).select();
        }
        function urldecode(str) {
           return decodeURIComponent((str+'').replace(/\+/g, '%20'));
        }
        function get_html_content( url )
        {
          var IE_buster = '';
          // This is for forcing  Internet Explorer to UPDATE !
          IE_buster = new Date().getTime();
          var result = null;
          var scriptUrl = url+"&buster="+IE_buster;
          $.ajax({
            url: scriptUrl,
            type: 'get',
            dataType: 'html',
            async: false,
            success: function(data) {
                result = data;
            }
          });
          return result;
        }
        function open_control_window(url){
          childWindow = window.open(url,'acl_control_window',config='height=600, width=500, toolbar=no, menubar=no, scrollbars=no, resizable=no, location=no, directories=no, status=no');
        }

        function load_acls_list_to_span(id,path,recursive){
          if (recursive == 'true'){
            var content2 = get_html_content("include/get_ids_and_paths_to_reload.php?path="+path);
            var arr = $.parseJSON(content2);
            t = '';
            for (var k in arr){
              if (typeof arr[k] !== 'function') {
                var content3 = get_html_content("include/get_acl_short_list.php?path="+arr[k]);
                  if( document.getElementById("span_acls_"+k) ){
                    span = document.getElementById('span_acls_'+k);
                    span.innerHTML = content3;
                    if ( $("#acl_displaying").prop('checked') ){
                      $(".acls_short_list").show();
                    } else {
                      $(".acls_short_list").hide();
                    }
                  }
                  t = t + "\nKey is " + k + ",\n value is " + arr[k];
              }
            }
          } else {
            var content = get_html_content("include/get_acl_short_list.php?path="+path);
            span = document.getElementById(id);
            span.innerHTML = content;
          }
        }
        function load_mail_list_to_span(id,path){
          var content = get_html_content("include/get_adr_short_list.php?path="+path);
          span = document.getElementById(id);
          span.innerHTML = content;
        }
      </script>
      <br>
      <label>
        <input id="acl_displaying" type='checkbox' checked='checked' onclick='handleClick(this);'>Display ACLs
      </label>
      <script type="text/javascript">
        function handleClick(cb) {
          if ( $(cb).prop('checked') ){
            $(".acls_short_list").show();
          } else {
            $(".acls_short_list").hide();
          }
        }
      </script>
      <div>
        <p>Created on 2013-11-08 by Nicolas Bondier <br/> © Switzernet<br/></p> 
      </div>
    </div>
  </body>
</html>
